/*
 * Copyright 1999-2018 Alibaba Group Holding Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.alibaba.csp.sentinel.dashboard.rule.nacos;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author King Wang
 */
@ConfigurationProperties(prefix="sentinel.nacos")
public class NacosProperties {

    private String serverAddr;
    private String dataId;
    private String groupId;
    private String namespace;

    public String getServerAddr() {
        return serverAddr;
    }

    public String getDataId() {
        return dataId;
    }

    public String getGroupId() {
        return groupId;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setServerAddr(String serverAddr) {
        this.serverAddr = serverAddr;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }
}
